Bug 22458 - [wx] wxWebView lacks a "find string" API
: [wx] wxWebView lacks a "find string" API
Status: RESOLVED FIXED
: WebKit
WebKit wx
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-11-24 11:08 PST by
Modified: 2008-12-13 09:51 PST (History)


Attachments
implements wxWebView::FindString (1.56 KB, patch)
2008-11-24 11:08 PST, Kevin Watters
kevino: review-
Review Patch | Details | Formatted Diff | Diff
fixed wxWebView::FindString patch (2.73 KB, patch)
2008-12-02 15:20 PST, Kevin Watters
kevino: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-11-24 11:08:09 PST
There is no simple API to find strings in a wxWebView.
------- Comment #1 From 2008-11-24 11:08:46 PST -------
Created an attachment (id=25436) [details]
implements wxWebView::FindString
------- Comment #2 From 2008-12-02 09:40:29 PST -------
r- because this patch only works with the wxWebView's main frame. Even though we don't currently support multiple frames, we're close to having that implemented, and so I would like all new functionality that calls frame methods to go in wxWebFrame rather than wxWebView.
------- Comment #3 From 2008-12-02 15:20:05 PST -------
Created an attachment (id=25688) [details]
fixed wxWebView::FindString patch

Implements wxWebFrame::FindString. Places frame functionality in wxWebFrame, not wxWebView.
------- Comment #4 From 2008-12-13 09:51:32 PST -------
Landed in r39273, thanks!